io.vertx.ext.web.common.template

## Class CachingTemplateEngine<T>

- java.lang.Object
- - io.vertx.ext.web.common.template.CachingTemplateEngine<T>

- All Implemented Interfaces:
    TemplateEngine

      public abstract class CachingTemplateEngine<T>
      extends Object
      implements TemplateEngine

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `extension`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CachingTemplateEngine(Vertx vertx, String ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `adjustLocation(String location)`
    `void` | `clearCache()` Clears any internal caches used by this engine.
    `io.vertx.ext.web.common.template.impl.TemplateHolder<T>` | `getTemplate(String filename)`
    `io.vertx.ext.web.common.template.impl.TemplateHolder<T>` | `putTemplate(String filename, io.vertx.ext.web.common.template.impl.TemplateHolder<T> templateHolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `render, render, render, render, unwrap`

- - ### Field Detail

    - #### extension

          protected String extension

  - ### Constructor Detail

    - #### CachingTemplateEngine

          protected CachingTemplateEngine(Vertx vertx,
                                          String ext)

  - ### Method Detail

    - #### getTemplate

          public io.vertx.ext.web.common.template.impl.TemplateHolder<T> getTemplate(String filename)

    - #### putTemplate

          public io.vertx.ext.web.common.template.impl.TemplateHolder<T> putTemplate(String filename,
                                                                                     io.vertx.ext.web.common.template.impl.TemplateHolder<T> templateHolder)

    - #### adjustLocation

          protected String adjustLocation(String location)

    - #### clearCache

          public void clearCache()

      Description copied from interface: `TemplateEngine`
      Clears any internal caches used by this engine. For most engines this means clearing the vert.x cache, implementations that do not use vert.x as a cache should clear their own cache.
      Specified by:
        `clearCache` in interface `TemplateEngine`

Copyright © 2021 Eclipse. All rights reserved.